%define major 0
%define libname %mklibname maitretarot %major
%define libnamedevel %mklibname -d maitretarot

Summary: The Maitretarot library
Name: libmaitretarot
Version: 0.1.98
Release: %mkrel 24
License: GPLv2+
Group: Games/Cards
Source: https://www.nongnu.org/download/maitretarot/devel.pkg/%{version}/%{name}-%{version}.tar.bz2
URL: https://www.nongnu.org/maitretarot/
BuildRequires: glib2-devel
BuildRequires: libxml2-devel

%description
Maitretarot is a tarot server game. Libmaitretarot is a library for
both the server and any client.

%package -n %libname
Summary: The Maitretarot library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %libname
Maitretarot is a tarot server game. Libmaitretarot is a library
for both the server and any client.

%package -n %libnamedevel
Summary: Development files from Libmaitretarot
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %{_lib}%{name}0-devel

%description -n %libnamedevel
This package is need to build application which use Libmaitretarot.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

# install .m4 for libmt_client
install -Dpm644 libmaitretarot.m4 %{buildroot}%{_datadir}/aclocal/libmaitretarot.m4

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %libname
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libmaitretarot.so.%{major}{,.*}

%files -n %libnamedevel
%{_libdir}/libmaitretarot.so
%{_includedir}/maitretarot.h
%{_datadir}/aclocal/libmaitretarot.m4


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 0.1.98-24.mga9
+ Revision: 1798417
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.1.98-23.mga8
+ Revision: 1514230
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.98-22.mga7
+ Revision: 1298973
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 wally <wally> 0.1.98-21.mga7
+ Revision: 1239192
- install .m4 files for autoreconf in libmt_client

* Sat Jun 09 2018 wally <wally> 0.1.98-20.mga7
+ Revision: 1235726
- drop fr descriptions
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Fri Jan 29 2016 umeabot <umeabot> 0.1.98-19.mga6
+ Revision: 928838
- Mageia 6 Mass Rebuild

* Fri Jan 29 2016 umeabot <umeabot> 0.1.98-18.mga6
+ Revision: 928816
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.98-17.mga5
+ Revision: 744021
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.98-16.mga5
+ Revision: 726731
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.98-15.mga5
+ Revision: 681586
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.98-14.mga4
+ Revision: 507158
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.98-13.mga3
+ Revision: 357722
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 wally <wally> 0.1.98-12.mga3
+ Revision: 335851
- disable static build and get rid of .la files
- clean .spec a bit

* Sat May 14 2011 nanardon <nanardon> 0.1.98-11.mga1
+ Revision: 98710
- imported package libmaitretarot


* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.98-11mdv2009.0
+ Revision: 240979
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 21 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-9mdv2008.0
+ Revision: 68537
- rebuild

* Wed Apr 25 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-8mdv2008.0
+ Revision: 18028
- rebuild


* Sat Feb 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-7mdv2007.0
+ Revision: 116053
- rebuild

* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-6mdv2007.1
+ Revision: 108763
- buildrequires
- rebuild

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-5mdv2007.0
+ Revision: 55062
- rebuild
- Import libmaitretarot

* Tue May 02 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-4mdk
- Birthday rebuild !

* Sat Apr 09 2005 Olivier Thauvin <nanardon@mandrake.org> 0.1.98-3mdk
- rebuild, arizona_junior !!!! no new version ?
- pfff, %%mklibname

* Mon Apr 05 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.98-2mdk
- Birthday rebuild !
- arizona_junior, what are you doing ?

